// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_SERVICE_INFO_H
#define OB_SERVICE_INFO_H

namespace CORBA
{

//
// To support service information operations
//
typedef UShort ServiceType;
typedef ULong ServiceOption;
typedef ULong ServiceDetailType;

struct ServiceDetail
{
    ServiceDetailType service_detail_type;
    OB::OctetSeq service_detail;
};

typedef OB::VarVar< ServiceDetail > ServiceDetail_var;
typedef ServiceDetail& ServiceDetail_out;

struct ServiceInformation
{
    OB::ULongSeq service_options;
    OB::VarSeq< ServiceDetail, int > service_details;
};

typedef OB::VarVar< ServiceInformation > ServiceInformation_var;
typedef ServiceInformation& ServiceInformation_out;

extern const ServiceType Security;

} // End of namespace CORBA

#endif
